Package org.apache.nutch.protocol.ftp

## Class FtpException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.nutch.protocol.ProtocolException
      - - org.apache.nutch.protocol.ftp.FtpException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `FtpError`, `FtpExceptionBadSystResponse`, `FtpExceptionCanNotHaveDataConnection`, `FtpExceptionControlClosedByForcedDataClose`, `FtpExceptionUnknownForcedDataClose`

      public class FtpException
      extends ProtocolException

  Superclass for important exceptions thrown during FTP talk, that must be handled with care.
  Author:
    John Xing
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FtpException()` |
    `FtpException​(String message)` |
    `FtpException​(String message, Throwable cause)` |
    `FtpException​(Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FtpException

          public FtpException()

    - #### FtpException

          public FtpException​(String message)

    - #### FtpException

          public FtpException​(String message,
                              Throwable cause)

    - #### FtpException

          public FtpException​(Throwable cause)